Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.tritondigital.ads.SyncBannerView Class Reference

High-end banner able to load an ad from a cue point. More...

Inheritance diagram for com.tritondigital.ads.SyncBannerView:

## Public Member Functions
| SyncBannerView (Context context)
| Constructor.
| SyncBannerView (Context context, AttributeSet attrs)
| Constructor.
| SyncBannerView (Context context, AttributeSet attrs, int defStyle)
| Constructor.
void | release ()
void | onAdLoaded (AdLoader adLoader, Bundle ad)
void | onAdLoadingError (AdLoader adLoader, int errorCode)
void | loadCuePoint (Bundle cuePoint)
| Loads a banner from a cue point.
Public Member Functions inherited from com.tritondigital.ads.BannerView
| BannerView (Context context)
| Constructor.
| BannerView (Context context, AttributeSet attrs)
| Constructor.
| BannerView (Context context, AttributeSet attrs, int defStyle)
| Constructor.
void | onPause ()
| Pauses any extra processing associated with this BannerView.
void | onResume ()
| Resumes an BannerView after a previous call to pause().
void | setListener (BannerListener listener)
| Sets the banner listener.
BannerListener | getListener ()
| Returns the banner listener.
int | getBannerWidth ()
| Returns the banner's width in density-independent pixels.
int | getBannerHeight ()
| Returns the banner's height in density-independent pixels.
int | getBannerFallbackWidth ()
| Returns the banner's fallback width in density-independent pixels.
int | getBannerFallbackHeight ()
| Returns the banner's fallback height in density-independent pixels.
void | setBannerSize (int width, int height)
void | setBannerSize (int width, int height, int fallbackWidth, int fallbackHeight)
| Sets the ad size in density-independent pixels.
Point | getBestBannerSize (Bundle ad, int containerWidth, int containerHeight)
| Find the best banner size from an ad bundle which fits a layout container.
void | showAd (Bundle ad)
| Show an ad.
void | clearBanner ()
| Clears the current ad but keep the View in order to reuse it later.
boolean | isBannerLoaded ()
| Returns true if the an ad is loaded.
Bundle | getBestBannerSize (ArrayList< Bundle > banners, int width, int height)

## Additional Inherited Members
Static Public Member Functions inherited from com.tritondigital.ads.BannerView
static String | debugErrorToStr (int errorCode)
| Converts the error codes to a string.
Static Public Attributes inherited from com.tritondigital.ads.BannerView
static final int | ERROR_UNKNOWN = AdLoader.ERROR_UNKNOWN
static final int | ERROR_NO_INVENTORY = AdLoader.ERROR_NO_INVENTORY
static final int | ERROR_UNKNOWN_HOST = AdLoader.ERROR_UNKNOWN_HOST
static final int | ERROR_NETWORK_NOT_AVAILABLE = AdLoader.ERROR_NETWORK_NOT_AVAILABLE
static final int | ERROR_BANNER_SIZE_NOT_SET = 8012
| setBannerSize(int, int) must be called before loading an ad
static final int | ERROR_LOAD_AFTER_RELEASE = 8006
| Trying to load an ad after release()
static final int | ERROR_NO_BANNERS = 8010
| The loaded ad doesn't have any banner.
static final int | ERROR_NO_BANNER_RIGHT_SIZE = 8011
| The loaded ad doesn't have a banner of the right size.
static final int | ERROR_TIMEOUT = 8013
| The maximum time has been reached.
Protected Member Functions inherited from com.tritondigital.ads.BannerView
void | onError (int error)
Protected Attributes inherited from com.tritondigital.ads.BannerView
final String | TAG = Log.makeTag("BannerView")

## Detailed Description

High-end banner able to load an ad from a cue point.

This class takes care of loading the ad and displaying the right banner. This class can return error codes defined in AdLoader.

## Member Function Documentation

## ◆ loadCuePoint()

void com.tritondigital.ads.SyncBannerView.loadCuePoint | ( | Bundle | cuePoint | ) |

Loads a banner from a cue point.

The banner will be cleared if the cue point doesn't contain an ad.

## ◆ onAdLoaded()

void com.tritondigital.ads.SyncBannerView.onAdLoaded | ( | AdLoader | adLoader,
|  | Bundle | ad
| ) |  |

Implements com.tritondigital.ads.AdLoader.AdLoaderListener.

## ◆ onAdLoadingError()

void com.tritondigital.ads.SyncBannerView.onAdLoadingError | ( | AdLoader | adLoader,
|  | int | errorCode
| ) |  |

Implements com.tritondigital.ads.AdLoader.AdLoaderListener.

## ◆ release()

void com.tritondigital.ads.SyncBannerView.release | ( |  | ) |

Reimplemented from com.tritondigital.ads.BannerView.

The documentation for this class was generated from the following file:

- ads/src/main/java/com/tritondigital/ads/SyncBannerView.java